# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'activerecord/referential_integrity/version'

Gem::Specification.new do |spec|
  spec.name          = 'activerecord-referential_integrity'
  spec.version       = ActiveRecord::ReferentialIntegrity::VERSION
  spec.authors       = ['Martin Tithonium', 'John Wulff']
  spec.email         = ['marty@orcasnet.com', 'johnw@orcasnet.com']
  spec.summary       = %q{Adds add_referential_integrity to Rails migrations with relevant databases}
  spec.description   = %q{Adds as reversible add_referential_integrity migration to Rails. Currently supports only PostgreSQL}
  spec.homepage      = 'https://github.com/orcasnet/activerecord-referential_integrity'
  spec.license       = 'MIT'

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ['lib']

  spec.add_dependency 'activerecord', '> 3.2.16'
  spec.add_development_dependency 'bundler', '~> 1.5'
  spec.add_development_dependency 'rake'
end
